#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

require'io/console'
require'bcrypt'

password = BCrypt :Password.new("$2a$12$8HvnCbkJHhqJMtXdmgAwJeNOlOpSubId3yvk64RC/JqXW8uNZ3Vti")
input_password = STDIN.noecho(&:gets).chomp
puts password == input_password

BCypt :Password.create("hoge")
